import React from 'react';
import './DashboardStyles.css';

const CampaignsPage = () => {
  const campaigns = [
    { id: 1, name: 'Yaz İndirimi', status: 'Aktif', budget: '₺15,000', clicks: 1245, conversions: 89 },
    { id: 2, name: 'Back to School', status: 'Planlanıyor', budget: '₺8,500', clicks: 0, conversions: 0 },
    { id: 3, name: 'Kara Cuma', status: 'Tamamlandı', budget: '₺25,000', clicks: 3560, conversions: 210 },
    { id: 4, name: 'Yılbaşı Kampanyası', status: 'Aktif', budget: '₺12,000', clicks: 980, conversions: 67 },
  ];

  return (
    <div className="dashboard-page">
      <h2 className="page-title">Kampanya Yönetimi</h2>
      <div className="stats-container">
        <div className="stat-card">
          <h3>Aktif Kampanyalar</h3>
          <p className="stat-value">2</p>
        </div>
        <div className="stat-card">
          <h3>Toplam Harcama</h3>
          <p className="stat-value">₺27,000</p>
        </div>
        <div className="stat-card">
          <h3>Toplam Dönüşüm</h3>
          <p className="stat-value">156</p>
        </div>
      </div>
      
      <div className="table-container">
        <table className="data-table">
          <thead>
            <tr>
              <th>Kampanya Adı</th>
              <th>Durum</th>
              <th>Bütçe</th>
              <th>Tıklanma</th>
              <th>Dönüşüm</th>
              <th>İşlemler</th>
            </tr>
          </thead>
          <tbody>
            {campaigns.map(campaign => (
              <tr key={campaign.id}>
                <td>{campaign.name}</td>
                <td>
                  <span className={`status-badge ${campaign.status.toLowerCase()}`}>
                    {campaign.status}
                  </span>
                </td>
                <td>{campaign.budget}</td>
                <td>{campaign.clicks}</td>
                <td>{campaign.conversions}</td>
                <td>
                  <button className="action-btn edit">Düzenle</button>
                  <button className="action-btn delete">Sil</button>
                </td>
              </tr>
            ))}
          </tbody>
        </table>
      </div>
      
      <button className="add-new-btn">Yeni Kampanya Ekle</button>
    </div>
  );
};

export default CampaignsPage;