import React from 'react';
import './DashboardStyles.css';

const GeneralSalesPage = () => {
  const salesData = [
    { id: 1, product: 'Premium Üyelik', sales: 45, revenue: '₺4,500', change: '+12%' },
    { id: 2, product: 'Temel Ürün Paketi', sales: 89, revenue: '₺8,900', change: '+5%' },
    { id: 3, product: 'Pro Paket', sales: 32, revenue: '₺6,400', change: '+18%' },
    { id: 4, product: 'Eğitim Seti', sales: 56, revenue: '₺2,800', change: '-3%' },
  ];

  return (
    <div className="dashboard-page">
      <h2 className="page-title">Genel Satış Analizi</h2>
      
      <div className="stats-container">
        <div className="stat-card large">
          <h3>Toplam Satış</h3>
          <p className="stat-value">222</p>
          <p className="stat-change positive">+8% geçen aya göre</p>
        </div>
        <div className="stat-card large">
          <h3>Toplam Gelir</h3>
          <p className="stat-value">₺22,600</p>
          <p className="stat-change positive">+12% geçen aya göre</p>
        </div>
        <div className="stat-card large">
          <h3>Ortalama Sipariş Değeri</h3>
          <p className="stat-value">₺101.80</p>
          <p className="stat-change positive">+4% geçen aya göre</p>
        </div>
      </div>
      
      <div className="chart-container">
        <h3>Aylık Satış Trendi</h3>
        <div className="placeholder-chart">
          {/* Buraya gerçek bir chart component'i eklenebilir */}
          <p>Satış grafiği alanı</p>
        </div>
      </div>
      
      <div className="table-container">
        <h3>Ürün Bazlı Satışlar</h3>
        <table className="data-table">
          <thead>
            <tr>
              <th>Ürün Adı</th>
              <th>Satış Adedi</th>
              <th>Toplam Gelir</th>
              <th>Değişim</th>
            </tr>
          </thead>
          <tbody>
            {salesData.map(item => (
              <tr key={item.id}>
                <td>{item.product}</td>
                <td>{item.sales}</td>
                <td>{item.revenue}</td>
                <td className={item.change.startsWith('+') ? 'positive' : 'negative'}>
                  {item.change}
                </td>
              </tr>
            ))}
          </tbody>
        </table>
      </div>
    </div>
  );
};

export default GeneralSalesPage;