import React from 'react';
import './DashboardStyles.css';

const SupportPage = () => {
  const tickets = [
    { id: 1, subject: 'Üyelik sorunu', customer: 'Ahmet Yılmaz', date: '15.04.2023', status: 'Açık', priority: 'Yüksek' },
    { id: 2, subject: 'Ödeme problemi', customer: 'Ayşe Kaya', date: '14.04.2023', status: 'Cevaplandı', priority: 'Orta' },
    { id: 3, subject: 'Ürün iade', customer: 'Mehmet Demir', date: '13.04.2023', status: 'Çözüldü', priority: 'Düşük' },
    { id: 4, subject: 'Teknik destek', customer: 'Zeynep Şahin', date: '12.04.2023', status: 'Açık', priority: 'Yüksek' },
  ];

  return (
    <div className="dashboard-page">
      <h2 className="page-title">Müşteri Destek Yönetimi</h2>
      
      <div className="support-stats">
        <div className="stat-card">
          <h3>Açık Destek Talepleri</h3>
          <p className="stat-value">5</p>
        </div>
        <div className="stat-card">
          <h3>Bugünkü Talepler</h3>
          <p className="stat-value">3</p>
        </div>
        <div className="stat-card">
          <h3>Ortalama Yanıt Süresi</h3>
          <p className="stat-value">4.2 saat</p>
        </div>
        <div className="stat-card">
          <h3>Çözüm Oranı</h3>
          <p className="stat-value">92%</p>
        </div>
      </div>
      
      <div className="table-container">
        <table className="data-table">
          <thead>
            <tr>
              <th>Talep No</th>
              <th>Konu</th>
              <th>Müşteri</th>
              <th>Tarih</th>
              <th>Durum</th>
              <th>Öncelik</th>
              <th>İşlemler</th>
            </tr>
          </thead>
          <tbody>
            {tickets.map(ticket => (
              <tr key={ticket.id}>
                <td>#{ticket.id}</td>
                <td>{ticket.subject}</td>
                <td>{ticket.customer}</td>
                <td>{ticket.date}</td>
                <td>
                  <span className={`status-badge ${ticket.status.toLowerCase()}`}>
                    {ticket.status}
                  </span>
                </td>
                <td>
                  <span className={`priority-badge ${ticket.priority.toLowerCase()}`}>
                    {ticket.priority}
                  </span>
                </td>
                <td>
                  <button className="action-btn view">Görüntüle</button>
                  <button className="action-btn assign">Ata</button>
                </td>
              </tr>
            ))}
          </tbody>
        </table>
      </div>
      
      <div className="support-actions">
        <button className="new-ticket-btn">Yeni Talep Oluştur</button>
        <button className="knowledge-base-btn">Bilgi Bankası</button>
      </div>
      
      <div className="recent-activity">
        <h3>Son Aktivite</h3>
        <ul className="activity-list">
          <li>
            <span className="activity-time">10:30</span>
            <span className="activity-text">Ahmet Yılmaz'ın talebi cevaplandı</span>
          </li>
          <li>
            <span className="activity-time">09:45</span>
            <span className="activity-text">Yeni destek talebi oluşturuldu (#1245)</span>
          </li>
          <li>
            <span className="activity-time">Dün 17:20</span>
            <span className="activity-text">3 talep çözüldü</span>
          </li>
        </ul>
      </div>
    </div>
  );
};

export default SupportPage;