import React from 'react';

const LoginPage = ({ onLogin }) => {
  const handleLogin = (role) => {
    const users = {
      admin: { name: 'Admin User', role: 'admin' },
      distributor: { name: 'Distributor User', role: 'distributor' },
      retailer: { name: 'Retailer User', role: 'retailer' },
      customer: { name: 'Customer User', role: 'customer' },
    };
    onLogin(users[role]);
  };

  return (
    <div className="min-h-screen flex items-center justify-center bg-gray-100">
      <div className="bg-white p-8 rounded-lg shadow-md w-96">
        <h1 className="text-2xl font-bold text-center mb-6">Software License Dashboard</h1>
        <div className="space-y-4">
          <button
            onClick={() => handleLogin('admin')}
            className="w-full py-2 px-4 bg-blue-500 text-white rounded hover:bg-blue-600 transition"
          >
            Login as Admin
          </button>
          <button
            onClick={() => handleLogin('distributor')}
            className="w-full py-2 px-4 bg-green-500 text-white rounded hover:bg-green-600 transition"
          >
            Login as Distributor
          </button>
          <button
            onClick={() => handleLogin('retailer')}
            className="w-full py-2 px-4 bg-purple-500 text-white rounded hover:bg-purple-600 transition"
          >
            Login as Retailer
          </button>
          <button
            onClick={() => handleLogin('customer')}
            className="w-full py-2 px-4 bg-orange-500 text-white rounded hover:bg-orange-600 transition"
          >
            Login as Customer
          </button>
        </div>
      </div>
    </div>
  );
};

export default LoginPage;