import React from 'react';
import { Routes, Route } from 'react-router-dom';
import DistributorOrderManagementPage from '../pages/Retailer/DistributorOrderManagementPage';
import CustomerSalesPage from '../pages/Retailer/CustomerSalesPage';
import LicenseDistributionPage from '../pages/Retailer/LicenseDistributionPage';
import CampaignManagementPage from '../pages/Retailer/CampaignManagementPage';
import SalesReportsPage from '../pages/Retailer/SalesReportsPage';
import PaymentCollectionPage from '../pages/Retailer/PaymentCollectionPage';
import CustomerFeedbackPage from '../pages/Retailer/CustomerFeedbackPage';
import SalesSupportRequestsPage from '../pages/Retailer/SalesSupportRequestsPage';

const RetailerRoutes = () => {
  return (
    <Routes>
      <Route path="/" element={<DistributorOrderManagementPage />} />
      <Route path="/distributor-orders" element={<DistributorOrderManagementPage />} />
      <Route path="/customer-sales" element={<CustomerSalesPage />} />
      <Route path="/license-distribution" element={<LicenseDistributionPage />} />
      <Route path="/campaign-management" element={<CampaignManagementPage />} />
      <Route path="/sales-reports" element={<SalesReportsPage />} />
      <Route path="/payment-collection" element={<PaymentCollectionPage />} />
      <Route path="/customer-feedback" element={<CustomerFeedbackPage />} />
      <Route path="/support-requests" element={<SalesSupportRequestsPage />} />
    </Routes>
  );
};

export default RetailerRoutes;